<div id="inte-wizard">
  <mat-card class="container">
    <mat-card-title>Chaîne d'inscription VA & WEI</mat-card-title>
    <mat-horizontal-stepper #stepper [linear]="true">
      <!--<mat-step #exampleStep completed="false" editable="false">
        <form>
          <mat-card>
            <mat-card-title>Example step</mat-card-title>
            <mat-form-field>
              <input matInput="" placeholder="Example input">
            </mat-form-field>
          </mat-card>
          <br>
          <button mat-raised-button="" color="primary"
                  (click)="ui.setLoading(true);exampleStep.completed=true; stepper.next();">Next
          </button>
        </form>
      </mat-step>-->

      <mat-step #memberStep completed="false" editable="false" optional="true">
        <ng-template matStepLabel>Profil adhérent</ng-template>
        <p>Recherchez un profil ou créez-en un nouveau</p>
        <div id="recherche">
          <app-edit (out)="holdMember($event);memberStep.completed=true;stepper && stepper.next();"
                    [isEmbedded]="true"></app-edit>
        </div>
      </mat-step>



      <mat-step #weiStep *ngIf="hideWei" [optional]="true" completed="false" editable="false">
        <ng-template matStepLabel>Inscription au Wei</ng-template>
        <div *ngIf="member">
          <div *ngIf="member.student_profile">
            <div *ngIf="member.student_profile.study_year && member.student_profile.study_year=='1A'; else not_bizuth">
              <div *ngIf="bizuth">

                <table class="inset">
                  <tr>
                    <td>Caution</td>
                    <td>
                      <app-wei-caution-info-span [bizuth]="bizuth"></app-wei-caution-info-span>
                    </td>
                    <td>
                      <app-wei-caution-btn (updatedBizuth)="refreshBizuth(this.member.id)"
                                           [bizuth]="bizuth"></app-wei-caution-btn>
                    </td>
                  </tr>

                  <tr>
                    <td>Autorisation parentale</td>
                    <td>
                      <app-wei-authorisation-parentale-info-span
                        [bizuth]="bizuth"></app-wei-authorisation-parentale-info-span>
                    </td>
                    <td>
                      <app-wei-authorisation-parentale-btn (updatedBizuth)="refreshBizuth(this.member.id)"
                                                           [bizuth]="bizuth"></app-wei-authorisation-parentale-btn>
                    </td>
                  </tr>

                  <tr>
                    <td>Chèque Wei</td>
                    <td>
                      <app-wei-cheque-received-info-span [bizuth]="bizuth"></app-wei-cheque-received-info-span>
                    </td>
                    <td>
                      <app-wei-cheque-received-btn (updatedBizuth)="refreshBizuth(this.member.id)"
                                                   [bizuth]="bizuth"></app-wei-cheque-received-btn>
                    </td>
                  </tr>
                </table>
                <form (ngSubmit)="submitBizuthChanges(form.value);weiStep.completed=true;stepper && stepper.next();"
                      [formGroup]="form">
                  <h3 class="section-titre">Remarques, régime & santé</h3>
                  <app-wei-remarques-regime-fields [form]="form"></app-wei-remarques-regime-fields>
                  <br/>
                  <button color="primary" mat-raised-button type="submit">
                    Enregistrer
                  </button> &nbsp;
                  <app-wei-delete-bizuth (out)="stepper && stepper.next();bizuth=null"
                                         [bizuth]="bizuth"></app-wei-delete-bizuth>
                </form>
              </div>
              <div *ngIf="!bizuth">
                <button (click)="createBizuth();" color="primary" mat-raised-button>Nouvelle inscription au WEI</button>
                <br/><br/>
              </div>
              <div *ngIf="!bizuth">
                <button color="primary" mat-raised-button matStepperNext>Passer l'étape</button>
              </div>
            </div>
            <ng-template #not_bizuth>
              <p>Cette personne n'est pas un 1A</p>
              <div>
                <button color="primary" mat-raised-button matStepperNext>Continuer</button>
              </div>
            </ng-template>

          </div>
        </div>
      </mat-step>

      <mat-step #paiementVAStep [optional]="false" completed="false" editable="false">
        <ng-template matStepLabel="">Adhésion</ng-template>
        <div *ngIf="member">
          <span *ngIf="member.student_profile" style="margin-bottom: 2em;">
            <span *ngIf="member.student_profile.study_year === '1A' && member.student_profile.school==='INSA'">
              <span *ngIf="member.va_cheque_received">Chèque VA&nbsp;: <span class="oui">Reçu</span></span>
              <span *ngIf="!member.va_cheque_received">Chèque VA&nbsp;: <span class="non">Non reçu</span></span>
            </span>
            <br><br>
          </span>
          <div>
            <app-list-memberships [member]="member" (out)="refreshMember(member.id)"></app-list-memberships>
            <br>
            <app-membership-create
              (out)="holdMembership($event);"
              (typeOut)="holdMembershipType($event)"
              [idAdherent]="member.id"></app-membership-create>
          </div>
          <br>
          <button (click)="paiementVAStep.completed=true; stepper && stepper.next()" color="primary" mat-raised-button>
            Continuer
          </button>

        </div>
      </mat-step>


      <mat-step #paiementWEIstep *ngIf="hideWei" [optional]="bizuth===undefined" completed="false" editable="false">
        <ng-template matStepLabel>Paiement Wei</ng-template>
        <div *ngIf="bizuth">
          <app-wei-moyen-paiement (out)="paiementWEIstep.completed=true;stepper && stepper.next()"
                                  [bizuth]="bizuth"></app-wei-moyen-paiement>
        </div>
        <div *ngIf="!bizuth">
          <p>La personne n'est pas inscrite au WEI</p>
          <button (click)="paiementWEIstep.completed=true;stepper && stepper.next()" color="primary" mat-raised-button>
            Continuer
          </button>
        </div>
      </mat-step>

      <mat-step #vaCardStep [optional]="true" completed="false" editable="false">
        <ng-template matStepLabel>Enregistrement d'une carte VA</ng-template>
        <div *ngIf="member">
          <section class="inline-subcards">
            <app-list-cards [member]="member" (out)="refreshMember(member.id)"></app-list-cards>
            <app-create-card (card)="refreshMember(member.id)"
                             [idAdherent]="member.id"></app-create-card>
          </section>
          <br>
          <button (click)="stepper && stepper.next();" color="primary" mat-raised-button>Continuer</button>
        </div>
      </mat-step>

      <mat-step #finalStep>
        <ng-template matStepLabel="">Terminé</ng-template>
        <!--<button mat-raised-button="" color="primary" [routerLink]="['/reset', '/inte']" id="reset-button">Nouvelle inscription</button>-->
        <div [routerLink]="['/reset', '/inte']" id="reset-button">
          <button color="primary" mat-fab>
            <mat-icon>refresh</mat-icon>
          </button>
          <button color="primary" mat-button>Nouvelle inscription</button>
        </div>
        <div *ngIf="member">
          <section class="mat-typography">
            <mat-card>
              <mat-card-title class="title" id="nom-prenom">{{member.first_name}} {{member.last_name}}</mat-card-title>
              <mat-chip-list *ngIf="member.student_profile">
                <mat-chip>{{member.student_profile.study_year}}</mat-chip>
                <mat-chip color="accent" selected>{{member.student_profile.department}}</mat-chip>
                <mat-chip color="primary" selected>{{member.student_profile.school}}</mat-chip>
              </mat-chip-list>
              <mat-list>
                <mat-list-item>
                  <span *ngIf="member.gender=='M'">Homme</span>
                  <span *ngIf="member.gender=='W'">Femme</span>
                  , actuellement {{member.category}}
                </mat-list-item>
                <mat-divider></mat-divider>
                <mat-list-item>Né le {{member.birthday|date: "dd/MM/yyyy"}}</mat-list-item>
                <mat-divider></mat-divider>
                <mat-list-item>Téléphone: {{member.phone}}</mat-list-item>
                <mat-divider></mat-divider>
                <mat-list-item>Email: {{member.email}}</mat-list-item>
                <mat-divider></mat-divider>
                <mat-list-item *ngIf="member.has_valid_card">
                  Cet adhérent possède {{member.cards?.length}}&nbsp;
                  <span *ngIf="member.cards?.length == 1">carte</span>
                  <span *ngIf="member.cards?.length != 1">cartes</span>
                  &nbsp;VA
                </mat-list-item>
              </mat-list>
            </mat-card>
          </section>
          <section *ngIf="vaCardStep.completed">
            <!--<app-bizuth-detail *ngIf="bizuth" [bizuthid]="bizuth.adhesion_id"></app-bizuth-detail>-->
          </section>
        </div>
      </mat-step>
    </mat-horizontal-stepper>
    <div [routerLink]="['/reset', '/inte']" class="preset-button">
      <button color="primary" mat-fab>
        <mat-icon>refresh</mat-icon>
      </button>
      <button color="primary" mat-button>Annuler</button>
    </div>
  </mat-card>
</div>
<mat-slide-toggle (change)="changeHideWei($event.checked)" [(ngModel)]="hideWei">Afficher les étapes Wei
</mat-slide-toggle>
